Name:          android-tools
Version:       35.0.2
Release:       1mamba
Summary:       Android platform tools
Group:         System/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/nmeum/android-tools
Source0:       https://github.com/nmeum/android-tools/releases/download/%{version}/android-tools-%{version}.tar.xz
License:       Apache License 2.0, BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libabseil-cpp-devel
BuildRequires: libbrotli-devel
BuildRequires: libfmt-devel
BuildRequires: libgcc
BuildRequires: liblz4-devel
BuildRequires: libpcre2-devel
BuildRequires: libprotobuf-devel
BuildRequires: libstdc++6-devel
BuildRequires: libudev-devel
BuildRequires: libz-devel
BuildRequires: libzstd-devel
## AUTOBUILDREQ-END
Provides:      simg2img
Obsoletes:     simg2img <= 20161213git
Provides:      mkbootimg
Obsoletes:     mkbootimg <= 29.0.6

%description
Android platform tools ported to GNU/Linux for Android based devices management.

The Android Debug Bridge (ADB) is used to:
* keep track of all Android devices and emulators instances connected to or running on a given host developer machine
* implement various control commands (e.g. "adb shell", "adb pull", etc.) for the benefit of clients (command-line users, or helper programs like DDMS). These commands are what is called a 'service' in ADB.

Fastboot is used to manipulate the flash partitions of the Android phone. 
It can also boot the phone using a kernel image or root filesystem image which reside on the host machine rather than in the phone flash.
In order to use it, it is important to understand the flash partition layout for the phone.
The fastboot program works in conjunction with firmware on the phone to read and write the flash partitions.
It needs the same USB device setup between the host and the target phone as adb.

%package -n mkbootimg
Summary:       A tool for creating kernel bootable images for the Android boot loader
Group:         System/Kernel and Hardware

%description -n mkbootimg
mkbootims is a command line tool useful for creating kernel bootable images for the Android boot loader.
This package also includes mkbootfs.

%debug_package

%prep
%setup -q

%build
export CC=clang
export CXX=clang++

%cmake -d build \
   -DBUILD_SHARED_LIBS=OFF \
   -DCMAKE_FIND_PACKAGE_PREFER_CONFIG=ON \
   -Dprotobuf_MODULE_COMPATIBLE=ON \
   -DANDROID_TOOLS_LIBUSB_ENABLE_UDEV=ON \
   -DANDROID_TOOLS_USE_BUNDLED_LIBUSB=ON

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/*
%dir %{_datadir}/android-tools
%dir %{_datadir}/android-tools/completions
%{_datadir}/android-tools/completions/*
%dir %{_datadir}/android-tools/mkbootimg
%{_datadir}/android-tools/mkbootimg/*
%{_datadir}/bash-completion/completions/*
%{_mandir}/man1/adb.1*
%doc LICENSE

%changelog
* Wed Sep 18 2024 Automatic Build System <autodist@openmamba.org> 35.0.2-1mamba
- automatic version update by autodist

* Sun Apr 28 2024 Automatic Build System <autodist@openmamba.org> 35.0.1-1mamba
- automatic version update by autodist

* Mon Mar 25 2024 Automatic Build System <autodist@openmamba.org> 34.0.5-1mamba
- automatic version update by autodist

* Mon Sep 04 2023 Automatic Build System <autodist@mambasoft.it> 34.0.4-1mamba
- automatic version update by autodist

* Wed May 17 2023 Automatic Build System <autodist@mambasoft.it> 34.0.1-1mamba
- automatic version update by autodist

* Mon Mar 06 2023 Automatic Build System <autodist@mambasoft.it> 34.0.0-1mamba
- automatic version update by autodist

* Sat Sep 24 2022 Automatic Build System <autodist@mambasoft.it> 33.0.3-1mamba
- automatic version update by autodist

* Mon May 16 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 31.0.3p1-3mamba
- fix obsoleting mkbootimg

* Sun May 15 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 31.0.3p1-2mamba
- replace package mkbootimg

* Mon May 09 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 31.0.3p1-1mamba
- update to 31.0.3p1

* Mon Oct 25 2021 Automatic Build System <autodist@mambasoft.it> 31.0.3-1mamba
- automatic version update by autodist

* Thu Jul 22 2021 Automatic Build System <autodist@mambasoft.it> 31.0.2-1mamba
- automatic version update by autodist

* Tue May 25 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 31.0.0p1-2mamba
- provide/obsolete simg2img

* Mon May 24 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 31.0.0p1-1mamba
- update to 31.0.0p1

* Fri Mar 13 2020 Automatic Build System <autodist@mambasoft.it> 29.0.6-1mamba
- automatic version update by autodist

* Sun Dec 01 2019 Automatic Build System <autodist@mambasoft.it> 29.0.5-1mamba
- automatic version update by autodist

* Sun Oct 27 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 29.0.4-1mamba
- update to 29.0.4

* Sat Jun 17 2017 Automatic Build System <autodist@mambasoft.it> 7.1.2_r6-1mamba
- automatic version update by autodist

* Fri Jan 13 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 7.1.1_r13-1mamba
- update to 7.1.1_r13

* Mon Jul 04 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 5.1.1_r37-1mamba
- update to 5.1.1_r37
- add permissions 0666 in udev rules

* Fri Jun 26 2015 Automatic Build System <autodist@mambasoft.it> 5.1.1_r5-1mamba
- automatic version update by autodist

* Thu Jun 18 2015 Automatic Build System <autodist@mambasoft.it> 5.1.1_r4-1mamba
- automatic version update by autodist

* Thu May 14 2015 Automatic Build System <autodist@mambasoft.it> 5.1.1_r2-1mamba
- automatic version update by autodist

* Thu Apr 09 2015 Automatic Build System <autodist@mambasoft.it> 5.1.0_r3-1mamba
- automatic version update by autodist

* Tue Jan 20 2015 Automatic Build System <autodist@mambasoft.it> 5.0.2_r1-1mamba
- automatic version update by autodist

* Wed Aug 27 2014 Automatic Build System <autodist@mambasoft.it> 4.4.4_r2.0.1-1mamba
- automatic version update by autodist

* Sat Jul 12 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 4.4.4_r1-1mamba
- update to 4.4.4_r1

* Fri Jun 01 2012 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 4.0.3_r1-3mamba
- fixed android udev rules

* Wed May 30 2012 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 4.0.3_r1-2mamba
- added main package
- fixed license

* Tue Feb 21 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 4.0.3_r1-1mamba
- package created by autospec
